
QGIS Application - Bug report #7103

Python error in "spatial join"

2013-02-05 03:12 AM - stefano campus

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16181

Description

a python error occurs doing "spatial join"

Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doSpatialJoin.py", line 104, in accept

    res = self.compute(inName, joinName, outPath, summary, sumList, keep, self.progressBar)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doSpatialJoin.py", line 126, in compute

    fieldList1 = ftools_utils.getFieldList(layer1).values()

AttributeError: 'QgsFields' object has no attribute 'values'

Versione Python:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

Versione di QGIS:

1.9.0-Master Master, 7dce617

Related issues:

Duplicates QGIS Application - Bug report # 7055: All plugins report python er... Closed 2013-01-27

History

#1 - 2013-02-06 07:25 AM - stefano campus

is ftools still a plugin? i believed that ftools were "embedded" in the core of qgis

#2 - 2013-02-06 07:33 AM - Jürgen Fischer

stefano campus wrote:

is ftools still a plugin? i believed that ftools were "embedded" in the core of qgis

ftools is a core plugin.

#3 - 2013-03-13 06:22 AM - Alexander Bruy

- Status changed from Open to Feedback
Should be fixed in commit:a915c41a7c. Please check and close if all works as expected

#4 - 2013-04-17 03:49 PM - stefano campus

- Status changed from Feedback to Closed

#5 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
